> # NAME

> texCUBEproj - performs a texture lookup with projection in a given sampler.

> # SYNOPSIS

>       float4 texCUBEproj(samplerCUBE samp, float4 s)

>       int4 texCUBEproj(isamplerCUBE samp, float4 s)

>       unsigned int4 texCUBEproj(usamplerCUBE samp, float4 s)

> # PARAMETERS

> samp

>   Sampler to lookup.

> s

>   Coordinates to perform the lookup. The value used in the projection should be passed as the last component of the coordinate vector.

> texelOff

>   Offset to be added to obtain the final texel.

> # DESCRIPTION

> Performs a texture lookup in sampler samp using coordinates s, the coordinates used in the lookup are first projected, that is, divided by the last component of the coordinate vector and them used in the lookup.

> # PROFILE SUPPORT

> texCUBEproj is supported in all fragment profiles and all vertex profiles starting with vp40. Variants with integer samplers are only supported in gp4 and newer profiles.

> # SEE ALSO

> texCUBE